import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { LoggerService } from '@sowatech/shared/logger';
import { SharedConfigService } from '@sowatech/shared/shared-config';
import * as i0 from "@angular/core";
export type FaType = 'fa' | 'fas' | 'far' | 'fal' | 'fad' | 'fab';
export declare abstract class ButtonBaseDirective implements OnInit {
    logger: LoggerService;
    el: ElementRef<HTMLButtonElement>;
    renderer?: Renderer2;
    private config;
    constructor(logger?: LoggerService, el?: ElementRef<HTMLButtonElement>, renderer?: Renderer2, config?: SharedConfigService);
    protected readonly iconSignal: import("@angular/core").WritableSignal<string>;
    protected readonly btnClassSignal: import("@angular/core").WritableSignal<string>;
    protected readonly faTypeSignal: import("@angular/core").WritableSignal<FaType>;
    readonly disableMargin: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    private readonly marginClass;
    private setHostClasses;
    private class;
    set icon(value: string);
    get icon(): string;
    set btnClass(value: string);
    get btnClass(): string;
    set faType(value: FaType);
    get faType(): FaType;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonBaseDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ButtonBaseDirective, never, never, { "disableMargin": { "alias": "disableMargin"; "required": false; "isSignal": true; }; "icon": { "alias": "icon"; "required": false; }; "btnClass": { "alias": "btn-class"; "required": false; }; "faType": { "alias": "fa-type"; "required": false; }; }, {}, never, never, false, never>;
}
