"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ngUpdate = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const tasks_1 = require("@angular-devkit/schematics/tasks");
const dependencies_1 = require("@schematics/angular/utility/dependencies");
function ngUpdate() {
    return (0, schematics_1.chain)([
        replaceDependencyIfExists('xlsx', 'exceljs', '^4.4.0'),
        installPackages(),
    ]);
}
exports.ngUpdate = ngUpdate;
function replaceDependencyIfExists(oldPackage, newPackage, newPackageVersion) {
    return (tree) => {
        const oldPackageDependency = (0, dependencies_1.getPackageJsonDependency)(tree, oldPackage);
        if (oldPackageDependency) {
            (0, dependencies_1.addPackageJsonDependency)(tree, { type: dependencies_1.NodeDependencyType.Default, name: newPackage, version: newPackageVersion });
            (0, dependencies_1.removePackageJsonDependency)(tree, oldPackage);
        }
        return tree;
    };
}
function installPackages() {
    return (tree, context) => {
        context.addTask(new tasks_1.NodePackageInstallTask());
        return tree;
    };
}
//# sourceMappingURL=index.js.map